import pytest
from ajoute_list import ajouter_item

# Define a fixture that will provide a fresh empty list to each test
@pytest.fixture
def liste_vide():
    return []

def test_ajouter_pomme(liste_vide):
    # The fixture 'liste_vide' provides an empty list for this test
    result = ajouter_item(liste_vide, "pomme")
    assert result == ["pomme"]

def test_ajouter_banane(liste_vide):
    # The fixture 'liste_vide' provides an empty list for this test
    result = ajouter_item(liste_vide, "banane")
    assert result == ["banane"]

def test_ajouter_plusieurs_items(liste_vide):
    # The fixture 'liste_vide' provides an empty list for this test
    ajouter_item(liste_vide, "pomme")
    ajouter_item(liste_vide, "banane")
    assert liste_vide == ["pomme", "banane"]


from ajoute_list import read_txt_file

def test_read_txt_file():
    # Define the path to the text file you want to read
    file_path = 'data/ex1.txt'

    # Define the expected content of the file
    expected_content = "ceci est un test\nceci est une deuxième ligne de test\n"

    # Call the function to read the file
    content = read_txt_file(file_path)

    # Assert that the content matches the expected content
    assert content == expected_content

# Fixture to create a temporary file with content
@pytest.fixture
def create_temp_file(tmp_path):
    # Define the content for the temporary file
    content = "ceci est un test\nceci est une deuxième ligne de test\n"

    # Create a temporary file path
    file_path = tmp_path / "temp_test_file.txt"

    # Write the content to the temporary file
    file_path.write_text(content, encoding='utf-8')

    # Return the file path for use in tests
    return file_path


# Test using the fixture
def test_read_txt_file_fixture(create_temp_file):
    # Call the function and pass the temporary file path provided by the fixture
    content = read_txt_file(create_temp_file)

    # Define the expected content
    expected_content = "ceci est un test\nceci est une deuxième ligne de test\n"

    # Assert that the content matches the expected value
    assert content == expected_content

def test_read_txt_file_file_not_found():
    with pytest.raises(FileNotFoundError):
        read_txt_file('stuff')  # 'stuff' does not exist

def test_read_txt_file_instance(create_temp_file):
    content = read_txt_file(create_temp_file)
    assert isinstance(content, str)