import pytest
from transform_view_count_yt import clean_view_count

def test_billion():
    nb_view = clean_view_count("3.8B views")
    assert nb_view == 3_800_000_000

def test_fail():
    nb_view = clean_view_count("Bordel views")
    assert nb_view == -1

def test_trillion():
    nb_view = clean_view_count("1.2T views")
    assert nb_view == -1

def test_million():
    nb_view = clean_view_count("5.6M views")
    assert nb_view == 5_600_000

def test_thousand():
    nb_view = clean_view_count("7.5K views")
    assert nb_view == 7_500

def test_hundred():
    nb_view = clean_view_count("250 views")
    assert nb_view == 250